Skip to main content

Create Object storage

POST/storage/buckets/{bucket_name}/

Path parameters

  • bucket_namePathstringrequired

    Bucket Name

Query parameters

Request body

application/json

object
is_lock_enabledboolean

Set to true to enable object lock, or false to disable it.

examplefalse
is_versioning_enabledboolean

Set to true to enable bucket versioning, or false to disable it.

exampletrue
is_encryption_enabledboolean

Set to true to enable bucket encryption, or false to disable it.

examplefalse

Responses

200Successfully created a bucket
object
codeinteger
example200
dataobject
errorsobject
messagestring
exampleSuccess
412Bucket creation failed due to precondition error
object
codeinteger
example412
dataobject
errorsstring
exampleBucket name is not available.
messagestring
examplePrecondition Failed